Page MenuHomePhabricator

Move Wikistats 2 from Differential to Gerrit
Closed, ResolvedPublic3 Story Points

Description

As described here: https://wikitech.wikimedia.org/wiki/Analytics/Differential the wikistats 2 team has decided to move the code from Differential over to Gerrit. As detailed in the document, we need the following:

Source repo: https://phabricator.wikimedia.org/source/wikistats/
Name for new repo in gerrit: analytics/wikistats2

  • Set up CI
  • Done. Runs npm install && npm test
  • Update documentation in wikitech
  • Change deployments branch in gerrit from master to release

Event Timeline

fdans created this task.Oct 3 2017, 2:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
fdans updated the task description. (Show Details)Oct 3 2017, 2:23 PM

Mentioned in SAL (#wikimedia-releng) [2017-10-03T14:23:31Z] <hashar> Gerrit: created analytics/wikistats2.git for fdans - T177288

hashar added a comment.Oct 3 2017, 2:33 PM

I have copied the repository with:

git clone ssh://vcs@git-ssh.wikimedia.org/source/wikistats.git
cd wikistats.git
git remote add gerrit ssh://gerrit.wikimedia.org:29418/analytics/wikistats2.git
git push --mirror gerrit
$ git push --mirror gerrit 
Counting objects: 1002, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (286/286), done.
Writing objects: 100% (1002/1002), 1.40 MiB | 0 bytes/s, done.
Total 1002 (delta 687), reused 1002 (delta 687)
remote: Resolving deltas: 100% (687/687)
remote: Processing changes: refs: 17, done    
remote: (W) 2c27010: too many commit message lines longer than 120 characters; manually wrap lines
To ssh://gerrit.wikimedia.org:29418/analytics/wikistats2.git
 * [new branch]      develop -> develop
 * [new branch]      error-handling -> error-handling
 * [new branch]      line-graph -> line-graph
 * [new branch]      master -> master
 * [new branch]      router -> router
 * [new branch]      selector-popup -> selector-popup
 * [new branch]      size -> size
 * [new branch]      uniques -> uniques
 * [new branch]      wikiselector-tests -> wikiselector-tests
 * [new tag]         2.0.1 -> 2.0.1
 * [new tag]         2.0.2 -> 2.0.2
 * [new tag]         2.0.3 -> 2.0.3
 * [new tag]         2.0.4 -> 2.0.4
 * [new tag]         2.0.5 -> 2.0.5
 * [new tag]         2.0.6 -> 2.0.6
 * [new tag]         2.0.7 -> 2.0.7
 ! [remote rejected] refs/meta/config (cannot delete project configuration)
error: failed to push some refs to 'ssh://gerrit.wikimedia.org:29418/analytics/wikistats2.git'

refs/meta/config is where Gerrit hold the repository configuration. It prevents it from being overridden and the error message is expected.

fdans updated the task description. (Show Details)Oct 3 2017, 2:34 PM
fdans added a subscriber: elukey.
hashar updated the task description. (Show Details)Oct 3 2017, 2:35 PM

Change 381991 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Add analytics/wikistats2

https://gerrit.wikimedia.org/r/381991

Change 381991 merged by jenkins-bot:
[integration/config@master] Add analytics/wikistats2

https://gerrit.wikimedia.org/r/381991

hashar updated the task description. (Show Details)Oct 3 2017, 2:45 PM

Change 381995 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] wikistats2: migrate git repo from differencial to gerrit

https://gerrit.wikimedia.org/r/381995

Change 381995 merged by Elukey:
[operations/puppet@production] wikistats2: migrate git repo from differencial to gerrit

https://gerrit.wikimedia.org/r/381995

fdans claimed this task.Oct 5 2017, 12:59 PM
fdans updated the task description. (Show Details)
fdans added a subscriber: hashar.

Change 382438 had a related patch set uploaded (by Fdans; owner: Fdans):
[operations/puppet@production] Change Wikistats 2 deployment branch to 'release'

https://gerrit.wikimedia.org/r/382438

Change 382438 merged by Elukey:
[operations/puppet@production] Change Wikistats 2 deployment branch to 'release'

https://gerrit.wikimedia.org/r/382438

fdans edited projects, added Analytics-Kanban; removed Analytics.Oct 5 2017, 1:44 PM
fdans moved this task from Next Up to Done on the Analytics-Kanban board.

Change 382466 had a related patch set uploaded (by Fdans; owner: Fdans):
[analytics/wikistats2@master] Merge branch 'develop' into master

https://gerrit.wikimedia.org/r/382466

Change 382466 merged by Fdans:
[analytics/wikistats2@master] Merge branch 'develop' into master

https://gerrit.wikimedia.org/r/382466

Nuria set the point value for this task to 3.Oct 6 2017, 3:07 PM
Nuria closed this task as Resolved.Oct 9 2017, 3:05 PM